Package tests
=============

These tests implement the standard test interface in Fedora CI.
See https://fedoraproject.org/wiki/CI/Tests for details.

Manual execution
----------------

Run the following command on your machine. Please note, it will make
modifications to your system. It's best to run these on a clean, throw-away
testing system or a VM.

ansible-playbook tests/tests.yml -e subjects=/path/to/knot.rpm,/path/to/knot-libs.rpm -e artifacts=/path/to/artifacts

Automatic execution
-------------------

These tests should eventually be automatically executed by the Fedora CI
pipeline. As of 2018-01-10, it is not supported for packages that aren't part
of Fedora Atomic. Once it is implemented, the results of these tests should be
visible in dist-git commits on src.fedoraproject.org
